petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMForestSetAdaptivityForest

During the pre-setup phase, set the forest from which the current forest will be adapted (e.g., the current forest will be refined/coarsened/repartitioned from it) im DMSetUp(). Usually not needed by users directly: DMForestTemplate() constructs a new forest to be adapted from an old forest and calls this routine.

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    PetscErrorCode DMForestSetAdaptivityForest(DM dm,DM adapt)

Logically collective on dm Many br

### Input Parameter

| dm | - the new forest, which will be constructed from adapt Many br
| adapt | - the old forest Many br

Many br

### See Also

DMForestGetAdaptivityForest(), DMForestSetAdaptivityPurpose()

Level:intermediate
Location:src/dm/impls/forest/forest.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages